%define         ver     0.10
Name: 		gstreamer
Version: 	0.10.20
Release: 	1
Summary: 	GStreamer streaming media framework runtime.
Group: 		Libraries
License: 	LGPL
URL:		http://gstreamer.net/
Source: 	http://gstreamer.freedesktop.org/src/gstreamer/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

To re-build ~./.gstreamer-%ver; after adding more plug-ins; please run:
$ gst-inspect

This is done automatically when you re-log into KDE; but should be run
by both $user and root acounts if manually rebuilding xml data registry.

%package 	devel
Summary: 	Libraries/include files for GStreamer streaming media framework.
Group: 		Development

%description 	devel
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%prep
%setup -q

%build
%configure \
  --enable-debug \
  --with-cachedir=%{_localstatedir}/cache/gstreamer \
  --disable-tests --disable-examples --disable-docs-build
make

%install  
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/cache/gstreamer
ln -sf %{name}-%{ver} $RPM_BUILD_ROOT/usr/lib/%{name}
ln -sf %{name}-%{ver} $RPM_BUILD_ROOT/usr/include/%{name}
                                                                                
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/gstreamer-%{ver}/*.so
%{_libdir}/gstreamer-%{ver}/*.la
%{_libdir}/gstreamer
%{_bindir}
%{_mandir}
%{_localstatedir}

%files devel
%defattr(-, root, root, -)
%{_libdir}/*.a
%{_libdir}/gstreamer-%{ver}/*.a
%{_libdir}/pkgconfig
%{_includedir}
%{_datadir}
